#7 immediate spin up after spin down

closed-works-for-me
None
5
2004-01-20
2002-08-22
Anonymous
No

Dear Sir,

I'm running redhat Linux, 7.2. kernel version 2.4.9-34 on
a Siemens laptop, S series.

I have installed noflusd noflushd-2.6.3.tar.

The disk keeps on spinning up immediately after spin
down.
From /var/log/messages:

Aug 22 17:29:07 localhost noflushd[6116]: Spinning
down /dev/hda.
Aug 22 17:29:14 localhost noflushd[6116]: Spinning up
/dev/hda after 0 minutes.
Aug 22 17:31:14 localhost noflushd[6116]: Spinning
down /dev/hda.
Aug 22 17:31:21 localhost noflushd[6116]: Spinning up
/dev/hda after 0 minutes.
Aug 22 17:33:21 localhost noflushd[6116]: Spinning
down /dev/hda.
Aug 22 17:33:26 localhost noflushd[6116]: Spinning up
/dev/hda after 0 minutes.
Aug 22 17:35:26 localhost noflushd[6116]: Spinning
down /dev/hda.
Aug 22 17:35:33 localhost noflushd[6116]: Spinning up
/dev/hda after 0 minutes.

Any suggestions?

nicolo.cartiglia@cern.ch

Discussion

  • Daniel Kobras

    Daniel Kobras - 2002-08-24

    Logged In: YES
    user_id=7832

    Did you have a look at the hints in the README file?
    Specifically the ones regarding journalling file systems,
    and proper modifications to syslogd's configuration file?

     
  • Daniel Kobras

    Daniel Kobras - 2002-08-24
    • assigned_to: nobody --> nold
     
  • Nobody/Anonymous

    Logged In: NO

    Thank you for your answer.
    I have tried everything, and it's always spinning up immediately
    after it spins down, always after 0 minutes.
    Is the bug about spinning up the hard disk really fix for every
    hard disk? is it possible I'm out of luck with my system?

    thank you very much
    Nicolo

     
  • Nobody/Anonymous

    Logged In: NO

    hi all,

    I have the similar exp.

    noflushd 2.6.3 runs prefectly on my home machine with a
    2.4.18-pre7 kernel, but the hd spins up immediately having
    spined down on the one in my old office (that should be
    running a 2.4.9 or 2.4.18 kernel downloaded from Redhat).
    I'm also running the same bin on my vaio PCG-U1 notebook
    with a 2.4.19 kernel; the hd spins up immediately after
    spinned down, and spins down normally after the next
    interval of time (ie 7min I set with the -n option).

    should you want more info, let me know. I hope the bug can
    be fixed so that I can re-enable noflushd on my notebook.

     
  • Daniel Kobras

    Daniel Kobras - 2004-01-20

    Logged In: YES
    user_id=7832

    Please try again with noflushd 2.7 that comes with one more
    hack to prevent such situations.

     
  • Daniel Kobras

    Daniel Kobras - 2004-01-20
    • status: open --> closed-works-for-me
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks